if(typeof net=="undefined"){
	var net=new Object();
}

if(typeof net.ecareme=="undefined"){
	net.ecareme=new Object();
}

if(typeof net.ecareme.util=="undefined"){
	net.ecareme.util=new Object();
}

if(typeof net.ecareme.uiComponent=="undefined"){
	net.ecareme.uiComponent=new Object();
}

net.ecareme.util.DetectFileType=function(_fileName){
	var type = "other";
	if (/([^\\\'\;\?[]*)\.(jpg)$/.test(_fileName.toLowerCase()))
		type = "jpg";
	else if (/([^\\\'\;\?[]*)\.(bmp|jpeg|jp2|exr|psd|pict|png|sgi|tga|tif|tiff|gif|pic|jpe|ico|wmf|ai|dxf|eps|dwg)$/.test(_fileName.toLowerCase()))
	    type = "pic";
	else if (/([^\\\'\;\?[]*)\.(aif|au|mid|mp3|aac|rmi|wav|snd|m4p|m4a|ogg|ape|flac|wma)$/.test(_fileName.toLowerCase()))
		type = "music";
	else if (/([^\\\'\;\?[]*)\.(3gp|m4v|avi|rm|rmvb|flv|mp4|mov|wmv|asf|mpeg|mpg|swf|mkv)$/.test(_fileName.toLowerCase()))
		type = "movie";
	else if (/([^\\\'\;\?[]*)\.(arj|lzh|pak|pcx|rar|dz2|zip|cab|gz|bz2|sit|img|lzo|lzx|tar|7z|c2d|ccd|iso|cdi|cue|mdf|mds|nrg|gho)$/.test(_fileName.toLowerCase()))
		type = "rar";
	else if (/([^\\\'\;\?[]*)\.(doc|docx|ppt|pptx|pub|vsd|xsl|xlsx|dat|txt|pdf|rtf)$/.test(_fileName.toLowerCase()))
	    type = "document";
	else if (/([^\\\'\;\?[]*)\.(htm|html|jsp|css|xml|php|asp|url|js|shtml|xhtml|hta|eot|svg|class|ear|jar|java|war|aspx)$/.test(_fileName.toLowerCase()))
	    type = "program";
	return type;
};

net.ecareme.util.LoadJsCssFileList="";

net.ecareme.util.LoadJsCssFile=function(_filename, _filetype){
	if (_filetype == "js") { // 如果是.js文件
		var fileref = document.createElement('script');
		fileref.setAttribute("type", "text/javascript");
		fileref.setAttribute("src", _filename);
	} else if (_filetype == "css") { // 如果是.css文件
		var fileref = document.createElement("link");
		fileref.setAttribute("rel", "stylesheet");
		fileref.setAttribute("type", "text/css");
		fileref.setAttribute("href", _filename);
	}
	if (typeof fileref != "undefined")
		document.getElementsByTagName("head")[0].appendChild(fileref);
};

net.ecareme.util.CheckLoadJsCssFile=function(_filename, _filetype){
	if (net.ecareme.util.LoadJsCssFileList.indexOf("[" + _filename + "]") == -1) {
		net.ecareme.util.LoadJsCssFile(_filename, _filetype);
	} else{
		//alert('該文件已經添加！');
	}
};

/*
將String類型解析為Date類型.
parseDate('2006-1-1') return new Date(2006,0,1)
parseDate(' 2006-1-1 ') return new Date(2006,0,1)
parseDate('2006-1-1 15:14:16') return new Date(2006,0,1,15,14,16)
parseDate(' 2006-1-1 15:14:16 ') return new Date(2006,0,1,15,14,16);
parseDate('2006-1-1 15:14:16.254') return new Date(2006,0,1,15,14,16,254)
parseDate(' 2006-1-1 15:14:16.254 ') return new Date(2006,0,1,15,14,16,254)
parseDate('不正確的格式') retrun null
*/
net.ecareme.util.ParseDate=function(_str){
	if(typeof _str == 'string'){
	  var results = _str.match(/^ *(\d{4})-(\d{1,2})-(\d{1,2}) *$/);
	  if(results && results.length>3)
	    return new Date(parseInt(results[1]),parseInt(results[2]) -1,parseInt(results[3]));
	  results = _str.match(/^ *(\d{4})-(\d{1,2})-(\d{1,2}) +(\d{1,2}):(\d{1,2}):(\d{1,2}) *$/);
	  if(results && results.length>6)
	    return new Date(parseInt(results[1]),parseInt(results[2]) -1,parseInt(results[3]),parseInt(results[4]),parseInt(results[5]),parseInt(results[6]));
	  results = _str.match(/^ *(\d{4})-(\d{1,2})-(\d{1,2}) +(\d{1,2}):(\d{1,2}):(\d{1,2})\.(\d{1,9}) *$/);
	  if(results && results.length>7)
	    return new Date(parseInt(results[1]),parseInt(results[2]) -1,parseInt(results[3]),parseInt(results[4]),parseInt(results[5]),parseInt(results[6]),parseInt(results[7]));
	}
	return null;
};

/*
將Date/String類型,解析為String類型.
傳入String類型,則先解析為Date類型
不正確的Date,返回 ''
如果時間部分為0,則忽略,只返回日期部分.
*/
net.ecareme.util.formatDate=function(v){
	if(typeof v == 'string') v = parseDate(v);
	if(v instanceof Date){
	  var y = v.getFullYear();
	  var m = v.getMonth() + 1;
	  var d = v.getDate();
	  var h = v.getHours();
	  var i = v.getMinutes();
	  var s = v.getSeconds();
	  var ms = v.getMilliseconds();  
	  if(ms>0) return y + '-' + m + '-' + d + ' ' + h + ':' + i + ':' + s + '.' + ms;
	  if(h>0 || i>0 || s>0) return y + '-' + m + '-' + d + ' ' + h + ':' + i + ':' + s;
	  return y + '-' + m + '-' + d;
	}
	return '';
};



net.ecareme.util.MD5 = function(){
	
};

net.ecareme.util.MD5.prototype={
	hexcase : 0,   /* hex output format. 0 - lowercase; 1 - uppercase        */
	b64pad : "",  /* base-64 pad character. "=" for strict RFC compliance   */

	/*
	 * These are the functions you'll usually want to call
	 * They take string arguments and return either hex or base-64 encoded strings
	 */
	hex_md5 : function(s){
		return this.rstr2hex(this.rstr_md5(this.str2rstr_utf8(s))); 
	},
	b64_md5 : function(s){
		return this.rstr2b64(this.rstr_md5(this.str2rstr_utf8(s))); 
	},
	any_md5 : function(s, e){
		return this.rstr2any(this.rstr_md5(this.str2rstr_utf8(s)), e); 
	},
	hex_hmac_md5 : function(k, d){ 
		return this.rstr2hex(this.rstr_hmac_md5(this.str2rstr_utf8(k), this.str2rstr_utf8(d))); 
	},
	b64_hmac_md5 : function(k, d){ 
		return this.rstr2b64(this.rstr_hmac_md5(this.str2rstr_utf8(k), this.str2rstr_utf8(d))); 
	},
	any_hmac_md5 : function(k, d, e){ 
		return this.rstr2any(this.rstr_hmac_md5(this.str2rstr_utf8(k), this.str2rstr_utf8(d)), e); 
	},

	/*
	 * Perform a simple self-test to see if the VM is working
	 */
	md5_vm_test : function(){
		return this.hex_md5("abc").toLowerCase() == "900150983cd24fb0d6963f7d28e17f72";
	},

	/*
	 * Calculate the MD5 of a raw string
	 */
	rstr_md5 : function(s){
		return this.binl2rstr(this.binl_md5(this.rstr2binl(s), s.length * 8));
	},

	/*
	 * Calculate the HMAC-MD5, of a key and some data (raw strings)
	 */
	rstr_hmac_md5 : function(key, data){
	  var bkey = this.rstr2binl(key);
	  if(bkey.length > 16) 
		  bkey = this.binl_md5(bkey, key.length * 8);

	  var ipad = Array(16), opad = Array(16);
	  for(var i = 0; i < 16; i++)
	  {
	    ipad[i] = bkey[i] ^ 0x36363636;
	    opad[i] = bkey[i] ^ 0x5C5C5C5C;
	  }

	  var hash = this.binl_md5(this.ipad.concat(this.rstr2binl(data)), 512 + data.length * 8);
	  return this.binl2rstr(this.binl_md5(opad.concat(hash), 512 + 128));
	},

	/*
	 * Convert a raw string to a hex string
	 */
	rstr2hex : function(input){
		try { 
			this.hexcase 
		} catch(e) {
			this.hexcase=0; 
		}
		var hex_tab = this.hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
		var output = "";
		var x;
		for(var i = 0; i < input.length; i++)
		{
		  x = input.charCodeAt(i);
		  output += hex_tab.charAt((x >>> 4) & 0x0F)
		         +  hex_tab.charAt( x        & 0x0F);
		}
		return output;
	},

	/*
	 * Convert a raw string to a base-64 string
	 */
	rstr2b64 : function(input){
		try { 
			this.b64pad 
		} catch(e) { 
			this.b64pad=''; 
		}
		var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
		var output = "";
		var len = input.length;
		for(var i = 0; i < len; i += 3){
		  var triplet = (input.charCodeAt(i) << 16)
		              | (i + 1 < len ? input.charCodeAt(i+1) << 8 : 0)
		              | (i + 2 < len ? input.charCodeAt(i+2)      : 0);
		  for(var j = 0; j < 4; j++){
		    if(i * 8 + j * 6 > input.length * 8) 
		    	output += this.b64pad;
		    else 
		    	output += tab.charAt((triplet >>> 6*(3-j)) & 0x3F);
		  }
		}
		return output;
	},

	/*
	 * Convert a raw string to an arbitrary string encoding
	 */
	
	rstr2any : function(input, encoding){
		var divisor = encoding.length;
		var i, j, q, x, quotient;

		/* Convert to an array of 16-bit big-endian values, forming the dividend */
		var dividend = Array(Math.ceil(input.length / 2));
		for(i = 0; i < dividend.length; i++){
			dividend[i] = (input.charCodeAt(i * 2) << 8) | input.charCodeAt(i * 2 + 1);
		}

		/*
		 * Repeatedly perform a long division. The binary array forms the dividend,
		 * the length of the encoding is the divisor. Once computed, the quotient
		 * forms the dividend for the next step. All remainders are stored for later
		 * use.
		 */
		var full_length = Math.ceil(input.length * 8 / (Math.log(encoding.length) / Math.log(2)));
		var remainders = Array(full_length);
		for(j = 0; j < full_length; j++){
			quotient = Array();
		    x = 0;
		    for(i = 0; i < dividend.length; i++){
		      x = (x << 16) + dividend[i];
		      q = Math.floor(x / divisor);
		      x -= q * divisor;
		      if(quotient.length > 0 || q > 0)
		        quotient[quotient.length] = q;
		    }
		    remainders[j] = x;
		    dividend = quotient;
		}

		/* Convert the remainders to the output string */
		var output = "";
		for(i = remainders.length - 1; i >= 0; i--)
			output += encoding.charAt(remainders[i]);

		return output;
	},

	/*
	 * Encode a string as utf-8.
	 * For efficiency, this assumes the input is valid utf-16.
	 */
	str2rstr_utf8 : function(input){
		var output = "";
		var i = -1;
		var x, y;

		while(++i < input.length){
			/* Decode utf-16 surrogate pairs */
		    x = input.charCodeAt(i);
		    y = i + 1 < input.length ? input.charCodeAt(i + 1) : 0;
		    if(0xD800 <= x && x <= 0xDBFF && 0xDC00 <= y && y <= 0xDFFF){
		    	x = 0x10000 + ((x & 0x03FF) << 10) + (y & 0x03FF);
		    	i++;
		    }

		    /* Encode output as utf-8 */
		    if(x <= 0x7F)
		      output += String.fromCharCode(x);
		    else if(x <= 0x7FF)
		      output += String.fromCharCode(0xC0 | ((x >>> 6 ) & 0x1F),
		                                    0x80 | ( x         & 0x3F));
		    else if(x <= 0xFFFF)
		      output += String.fromCharCode(0xE0 | ((x >>> 12) & 0x0F),
		                                    0x80 | ((x >>> 6 ) & 0x3F),
		                                    0x80 | ( x         & 0x3F));
		    else if(x <= 0x1FFFFF)
		      output += String.fromCharCode(0xF0 | ((x >>> 18) & 0x07),
		                                    0x80 | ((x >>> 12) & 0x3F),
		                                    0x80 | ((x >>> 6 ) & 0x3F),
		                                    0x80 | ( x         & 0x3F));
		}
		return output;
	},

	/*
	 * Encode a string as utf-16
	 */
	str2rstr_utf16le : function(input){
		var output = "";
		for(var i = 0; i < input.length; i++)
			output += String.fromCharCode( input.charCodeAt(i)        & 0xFF,
		                                  (input.charCodeAt(i) >>> 8) & 0xFF);
		return output;
	},

	str2rstr_utf16be : function(input){
		var output = "";
		for(var i = 0; i < input.length; i++)
		  output += String.fromCharCode((input.charCodeAt(i) >>> 8) & 0xFF,
		                                 input.charCodeAt(i)        & 0xFF);
		return output;
	},

	/*
	 * Convert a raw string to an array of little-endian words
	 * Characters >255 have their high-byte silently ignored.
	 */
	rstr2binl : function(input){
		var output = Array(input.length >> 2);
		for(var i = 0; i < output.length; i++)
			output[i] = 0;
		for(var i = 0; i < input.length * 8; i += 8)
		    output[i>>5] |= (input.charCodeAt(i / 8) & 0xFF) << (i%32);
		return output;
	},

	/*
	 * Convert an array of little-endian words to a string
	 */
	binl2rstr : function(input){
		var output = "";
		for(var i = 0; i < input.length * 32; i += 8)
			output += String.fromCharCode((input[i>>5] >>> (i % 32)) & 0xFF);
		return output;
	},

	/*
	 * Calculate the MD5 of an array of little-endian words, and a bit length.
	 */
	binl_md5 : function(x, len){
		/* append padding */
		x[len >> 5] |= 0x80 << ((len) % 32);
		x[(((len + 64) >>> 9) << 4) + 14] = len;

		var a =  1732584193;
		var b = -271733879;
		var c = -1732584194;
		var d =  271733878;

		for(var i = 0; i < x.length; i += 16){
		    var olda = a;
		    var oldb = b;
		    var oldc = c;
		    var oldd = d;

		    a = this.md5_ff(a, b, c, d, x[i+ 0], 7 , -680876936);
		    d = this.md5_ff(d, a, b, c, x[i+ 1], 12, -389564586);
		    c = this.md5_ff(c, d, a, b, x[i+ 2], 17,  606105819);
		    b = this.md5_ff(b, c, d, a, x[i+ 3], 22, -1044525330);
		    a = this.md5_ff(a, b, c, d, x[i+ 4], 7 , -176418897);
		    d = this.md5_ff(d, a, b, c, x[i+ 5], 12,  1200080426);
		    c = this.md5_ff(c, d, a, b, x[i+ 6], 17, -1473231341);
		    b = this.md5_ff(b, c, d, a, x[i+ 7], 22, -45705983);
		    a = this.md5_ff(a, b, c, d, x[i+ 8], 7 ,  1770035416);
		    d = this.md5_ff(d, a, b, c, x[i+ 9], 12, -1958414417);
		    c = this.md5_ff(c, d, a, b, x[i+10], 17, -42063);
		    b = this.md5_ff(b, c, d, a, x[i+11], 22, -1990404162);
		    a = this.md5_ff(a, b, c, d, x[i+12], 7 ,  1804603682);
		    d = this.md5_ff(d, a, b, c, x[i+13], 12, -40341101);
		    c = this.md5_ff(c, d, a, b, x[i+14], 17, -1502002290);
		    b = this.md5_ff(b, c, d, a, x[i+15], 22,  1236535329);

		    a = this.md5_gg(a, b, c, d, x[i+ 1], 5 , -165796510);
		    d = this.md5_gg(d, a, b, c, x[i+ 6], 9 , -1069501632);
		    c = this.md5_gg(c, d, a, b, x[i+11], 14,  643717713);
		    b = this.md5_gg(b, c, d, a, x[i+ 0], 20, -373897302);
		    a = this.md5_gg(a, b, c, d, x[i+ 5], 5 , -701558691);
		    d = this.md5_gg(d, a, b, c, x[i+10], 9 ,  38016083);
		    c = this.md5_gg(c, d, a, b, x[i+15], 14, -660478335);
		    b = this.md5_gg(b, c, d, a, x[i+ 4], 20, -405537848);
		    a = this.md5_gg(a, b, c, d, x[i+ 9], 5 ,  568446438);
		    d = this.md5_gg(d, a, b, c, x[i+14], 9 , -1019803690);
		    c = this.md5_gg(c, d, a, b, x[i+ 3], 14, -187363961);
		    b = this.md5_gg(b, c, d, a, x[i+ 8], 20,  1163531501);
		    a = this.md5_gg(a, b, c, d, x[i+13], 5 , -1444681467);
		    d = this.md5_gg(d, a, b, c, x[i+ 2], 9 , -51403784);
		    c = this.md5_gg(c, d, a, b, x[i+ 7], 14,  1735328473);
		    b = this.md5_gg(b, c, d, a, x[i+12], 20, -1926607734);

		    a = this.md5_hh(a, b, c, d, x[i+ 5], 4 , -378558);
		    d = this.md5_hh(d, a, b, c, x[i+ 8], 11, -2022574463);
		    c = this.md5_hh(c, d, a, b, x[i+11], 16,  1839030562);
		    b = this.md5_hh(b, c, d, a, x[i+14], 23, -35309556);
		    a = this.md5_hh(a, b, c, d, x[i+ 1], 4 , -1530992060);
		    d = this.md5_hh(d, a, b, c, x[i+ 4], 11,  1272893353);
		    c = this.md5_hh(c, d, a, b, x[i+ 7], 16, -155497632);
		    b = this.md5_hh(b, c, d, a, x[i+10], 23, -1094730640);
		    a = this.md5_hh(a, b, c, d, x[i+13], 4 ,  681279174);
		    d = this.md5_hh(d, a, b, c, x[i+ 0], 11, -358537222);
		    c = this.md5_hh(c, d, a, b, x[i+ 3], 16, -722521979);
		    b = this.md5_hh(b, c, d, a, x[i+ 6], 23,  76029189);
		    a = this.md5_hh(a, b, c, d, x[i+ 9], 4 , -640364487);
		    d = this.md5_hh(d, a, b, c, x[i+12], 11, -421815835);
		    c = this.md5_hh(c, d, a, b, x[i+15], 16,  530742520);
		    b = this.md5_hh(b, c, d, a, x[i+ 2], 23, -995338651);

		    a = this.md5_ii(a, b, c, d, x[i+ 0], 6 , -198630844);
		    d = this.md5_ii(d, a, b, c, x[i+ 7], 10,  1126891415);
		    c = this.md5_ii(c, d, a, b, x[i+14], 15, -1416354905);
		    b = this.md5_ii(b, c, d, a, x[i+ 5], 21, -57434055);
		    a = this.md5_ii(a, b, c, d, x[i+12], 6 ,  1700485571);
		    d = this.md5_ii(d, a, b, c, x[i+ 3], 10, -1894986606);
		    c = this.md5_ii(c, d, a, b, x[i+10], 15, -1051523);
		    b = this.md5_ii(b, c, d, a, x[i+ 1], 21, -2054922799);
		    a = this.md5_ii(a, b, c, d, x[i+ 8], 6 ,  1873313359);
		    d = this.md5_ii(d, a, b, c, x[i+15], 10, -30611744);
		    c = this.md5_ii(c, d, a, b, x[i+ 6], 15, -1560198380);
		    b = this.md5_ii(b, c, d, a, x[i+13], 21,  1309151649);
		    a = this.md5_ii(a, b, c, d, x[i+ 4], 6 , -145523070);
		    d = this.md5_ii(d, a, b, c, x[i+11], 10, -1120210379);
		    c = this.md5_ii(c, d, a, b, x[i+ 2], 15,  718787259);
		    b = this.md5_ii(b, c, d, a, x[i+ 9], 21, -343485551);

		    a = this.safe_add(a, olda);
		    b = this.safe_add(b, oldb);
		    c = this.safe_add(c, oldc);
		    d = this.safe_add(d, oldd);
		  }
		  return Array(a, b, c, d);
		},

		/*
		 * These functions implement the four basic operations the algorithm uses.
		 */
		md5_cmn : function(q, a, b, x, s, t){
			return this.safe_add(this.bit_rol(this.safe_add(this.safe_add(a, q), this.safe_add(x, t)), s),b);
		},
		md5_ff : function(a, b, c, d, x, s, t){
			return this.md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
		},
		md5_gg : function(a, b, c, d, x, s, t){
			return this.md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
		},
		md5_hh : function(a, b, c, d, x, s, t){
			return this.md5_cmn(b ^ c ^ d, a, b, x, s, t);
		},
		md5_ii : function(a, b, c, d, x, s, t){
			return this.md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
		},

		/*
		 * Add integers, wrapping at 2^32. This uses 16-bit operations internally
		 * to work around bugs in some JS interpreters.
		 */
		safe_add : function(x, y){
			var lsw = (x & 0xFFFF) + (y & 0xFFFF);
			var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
			return (msw << 16) | (lsw & 0xFFFF);
		},

		/*
		 * Bitwise rotate a 32-bit number to the left.
		 */
		bit_rol : function(num, cnt){
			return (num << cnt) | (num >>> (32 - cnt));
		}
}



net.ecareme.uiComponent.CloseGbWindow=function(){
	document.body.removeChild(document.body.lastChild);
	//document.body.removeChild(document.body.lastChild);
}

net.ecareme.uiComponent.GB_window=function(){
	//net.ecareme.util.CheckLoadJsCssFile("/css/gb.css", "css");
};

net.ecareme.uiComponent.GB_window.prototype={
	
	resize : function(){
		var GB_outer = document.getElementById("GB_outer");
		if(document.getElementById("GB_outer")){
			if(window.innerWidth){
				screenWidth=window.innerWidth;
				screenHeight=window.innerHeight;
			
			} else if (document.documentElement && document.documentElement.clientHeight) {
				screenWidth = document.documentElement.clientWidth;
				screenHeight = document.documentElement.clientHeight;
			} else if (document.body) {
				screenWidth = document.body.clientWidth;
				screenHeight = document.body.clientHeight;	
			}else {
				screenWidth=screen.availWidth;
				screenHeight=screen.availHeight;
			}
			var rH=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)-screenHeight;
			GB_outer.style.width=(document.documentElement.clientWidth>document.body.clientWidth?document.documentElement.clientWidth:document.body.clientWidth)+"px";
			GB_outer.style.height=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)+"px";
		}
	},
	createGrayBox : function(_headStr,_innerUrl,height,width){
		var gb_overlayBG=document.createElement('div');
		gb_overlayBG.setAttribute('id','gb_overlayBG');
		gb_overlayBG.setAttribute('name','gb_overlayBG');
		gb_overlayBG.className="gb_overlayBG";
		//document.body.appendChild(gb_overlayBG);
		var gb_root=document.createElement('div');
		gb_root.setAttribute('id','gb_root');
		gb_root.setAttribute('name','gb_root');
		
		window.onresize = this.resize;
		
		var scrOfX = 0, scrOfY = 0;
		if( typeof( window.pageYOffset ) == 'number' ) {
			//Netscape compliant
			scrOfY = window.pageYOffset;
			scrOfX = window.pageXOffset;
		} else if( document.body && ( document.body.scrollLeft || document.body.scrollTop ) ) {
			//DOM compliant
			scrOfY = document.body.scrollTop;
			scrOfX = document.body.scrollLeft;
		} else if( document.documentElement && ( document.documentElement.scrollLeft || document.documentElement.scrollTop ) ) {
			//IE6 standards compliant mode
			scrOfY = document.documentElement.scrollTop;
			scrOfX = document.documentElement.scrollLeft;
		}

		this.width=width;
		this.height=height;
		var GB_box;
		var screenWidth, screenHeight;
		var headerW=35;
		var headerH=35;
		
		if(window.innerWidth){
			screenWidth=window.innerWidth;
			screenHeight=window.innerHeight;
			
		} else if (document.documentElement && document.documentElement.clientHeight) {
			screenWidth = document.documentElement.clientWidth;
			screenHeight = document.documentElement.clientHeight;
		} else if (document.body) {
			screenWidth = document.body.clientWidth;
			screenHeight = document.body.clientHeight;	
		}else {
			//alert(screen.availHeight);
			screenWidth=screen.availWidth;
			screenHeight=screen.availHeight;
		}
		
		//alert("1:"+window.innerHeight+" 2:"+document.documentElement.clientHeight+" 3:"+document.body.clientHeight+" 4:"+screen.availHeight);
		
		var rH=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)-screenHeight;
		//alert(rH);
		if(!document.createElement){
			//alert('!document.createElement');
			return true;
		}
		
		try{
			this.GB_outer=document.createElement('div');
			this.GB_outer.setAttribute('id','GB_outer');
			this.GB_outer.setAttribute('name','GB_outer');
			this.GB_outer.className="gb_outer";
			
			this.GB_outer.style.width=(document.documentElement.clientWidth>document.body.clientWidth?document.documentElement.clientWidth:document.body.clientWidth)+"px";
			this.GB_outer.style.height=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)+"px";
				
			GB_box=document.createElement('div');
			GB_box.setAttribute('id','GB_box');
			GB_box.setAttribute('name','GB_box');
			GB_box.className="gb_box";
			var m_h=(screenHeight-this.height)/2+scrOfY+headerH;
			GB_box.style.margin=m_h+"px auto auto auto";

			GB_box.style.width=(this.width)+"px";
			GB_box.style.height=(this.height+headerH)+"px";
			
			
			var GBinnerHTML="<div class='gb_header'><div class='gb_title'>"+_headStr+"</div><div class='gb_close' onclick='net.ecareme.uiComponent.CloseGbWindow()'></div></div>";
			GBinnerHTML+="<iframe frameBorder='0' border='0' src='"+_innerUrl+"' width='"+this.width+"' height='"+this.height+"' style='border: 0px; width:"+this.width+"px; height:"+this.height+"px; padding:0 0 0 0;' scrolling='no'></iframe>";
			GB_box.innerHTML=GBinnerHTML;
			
		}catch(exception){
			
		}
		this.GB_outer.appendChild(GB_box);
		gb_root.appendChild(gb_overlayBG);
		gb_root.appendChild(this.GB_outer);
		document.body.appendChild(gb_root);
	}
};



net.ecareme.uiComponent.GB_notitle_window=function(){
	//net.ecareme.util.CheckLoadJsCssFile("/css/gb.css", "css");
};

net.ecareme.uiComponent.GB_notitle_window.prototype={
	
	resize : function(){
		var GB_outer = document.getElementById("GB_outer");
		if(document.getElementById("GB_outer")){
			if(window.innerWidth){
				screenWidth=window.innerWidth;
				screenHeight=window.innerHeight;
			
			} else if (document.documentElement && document.documentElement.clientHeight) {
				screenWidth = document.documentElement.clientWidth;
				screenHeight = document.documentElement.clientHeight;
			} else if (document.body) {
				screenWidth = document.body.clientWidth;
				screenHeight = document.body.clientHeight;	
			}else {
				// alert(screen.availHeight);
				screenWidth=screen.availWidth;
				screenHeight=screen.availHeight;
			}
			var rH=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)-screenHeight;
			GB_outer.style.width=(document.documentElement.clientWidth>document.body.clientWidth?document.documentElement.clientWidth:document.body.clientWidth)+"px";
			GB_outer.style.height=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)+"px";
			var gb_overlayBG=document.getElementById("gb_overlayBG");
			gb_overlayBG.style.width=(document.documentElement.clientWidth>document.body.clientWidth?document.documentElement.clientWidth:document.body.clientWidth)+"px";
			gb_overlayBG.style.height=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)+"px";
		}
	},
	createGrayBox : function(_innerUrl,height,width){
		var gb_overlayBG=document.createElement('div');
		gb_overlayBG.setAttribute('id','gb_overlayBG');
		gb_overlayBG.setAttribute('name','gb_overlayBG');
		gb_overlayBG.className="gb_overlayBG";
		//document.body.appendChild(gb_overlayBG);
		var gb_root=document.createElement('div');
		gb_root.setAttribute('id','gb_root');
		gb_root.setAttribute('name','gb_root');
		//alert(_innerUrl+"  "+height+"  "+width);
		window.onresize = this.resize;
		
		var scrOfX = 0, scrOfY = 0;
		if( typeof( window.pageYOffset ) == 'number' ) {
			//Netscape compliant
			scrOfY = window.pageYOffset;
			scrOfX = window.pageXOffset;
		} else if( document.body && ( document.body.scrollLeft || document.body.scrollTop ) ) {
			//DOM compliant
			scrOfY = document.body.scrollTop;
			scrOfX = document.body.scrollLeft;
		} else if( document.documentElement && ( document.documentElement.scrollLeft || document.documentElement.scrollTop ) ) {
			//IE6 standards compliant mode
			scrOfY = document.documentElement.scrollTop;
			scrOfX = document.documentElement.scrollLeft;
		}
		
		//window.scrollTo(0,0);
		this.width=width;
		this.height=height;
		//alert(this.height+"  "+this.width);
		var GB_box;
		var screenWidth, screenHeight;
		
		if(window.innerWidth){
			screenWidth=window.innerWidth;
			screenHeight=window.innerHeight;
			
		} else if (document.documentElement && document.documentElement.clientHeight) {
			screenWidth = document.documentElement.clientWidth;
			screenHeight = document.documentElement.clientHeight;
		} else if (document.body) {
			screenWidth = document.body.clientWidth;
			screenHeight = document.body.clientHeight;	
		}else {
			screenWidth=screen.availWidth;
			screenHeight=screen.availHeight;
		}
		
		var rH=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)-screenHeight;
		if(!document.createElement){
			return true;
		}
		
		try{
			this.GB_outer=document.createElement('div');
			this.GB_outer.setAttribute('id','GB_outer');
			this.GB_outer.setAttribute('name','GB_outer');
			this.GB_outer.className="gb_notitle_outer";
			
			//this.GB_outer.style.width=(document.documentElement.clientWidth>document.body.clientWidth?document.documentElement.clientWidth:document.body.clientWidth)+"px";
			//this.GB_outer.style.height=(document.documentElement.clientHeight>document.body.clientHeight?document.documentElement.clientHeight:document.body.clientHeight)+"px";

				
			GB_box=document.createElement('div');
			GB_box.setAttribute('id','GB_box');
			GB_box.setAttribute('name','GB_box');
			GB_box.className="gb_notitle_box";
			var m_h=(screenHeight-this.height)/2+scrOfY;
			GB_box.style.margin=m_h+"px auto auto auto";

			GB_box.style.width=(this.width)+"px";
			GB_box.style.height=(this.height)+"px";
			
			var GBinnerHTML="<div class='gb_notitle_close' onclick='net.ecareme.uiComponent.CloseGbWindow()'></div>";
			GBinnerHTML+="<iframe frameBorder='0' src='"+_innerUrl+"' width='"+this.width+"' height='"+this.height+"' style='border: 0px; width:"+this.width+"px; height:"+this.height+"px; margin:0 0 0 0;background:#ffffff;' scrolling='no'></iframe>";
			GB_box.innerHTML=GBinnerHTML;
			//alert(GBinnerHTML);
		}catch(exception){
			
		}
//		this.GB_outer.appendChild(GB_box);
//		
//		document.body.appendChild(this.GB_outer);
		this.GB_outer.appendChild(GB_box);
		gb_root.appendChild(gb_overlayBG);
		gb_root.appendChild(this.GB_outer);
		document.body.appendChild(gb_root);
		this.resize();
	}
};

